org.restlet.engine.http.header

## Class ParameterReader

- java.lang.Object
- - org.restlet.engine.http.header.HeaderReader<Parameter>
  - - org.restlet.engine.http.header.ParameterReader

    public class ParameterReader
    extends HeaderReader<Parameter>

Parameter header reader.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ParameterReader(java.lang.String header)` Constructor.

### Method Summary

Methods
`Parameter` `readValue()` Read the next value.

### Methods inherited from class org.restlet.engine.http.header.HeaderReader

`addValues, canAdd, createParameter, createParameter, mark, peek, read, readComment, readDate, readDigits, readHeader, readHeader, readParameter, readParameterValue, readQuotedString, readRawText, readRawValue, readToken, readValues, reset, skipParameterSeparator, skipSpaces, skipValueSeparator, unread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterReader

    public ParameterReader(java.lang.String header)

Constructor.

Parameters:
  `header` - The header to read.

### Method Detail

#### readValue

    public Parameter readValue()
                        throws java.io.IOException

Description copied from class: `HeaderReader`
Read the next value. There can be multiple values for a single header.

Overrides:
  `readValue` in class `HeaderReader<Parameter>`
Returns:
  The next value.
Throws:
  `java.io.IOException`